%define gitcommit %(echo %version | cut -d. -f5)
Name:          unixodbc-gui-qt
Version:       2.3.0.20180915git.1fcd64c
Release:       2mamba
Summary:       Qt based GUI bits for unixODBC
Group:         Graphical Desktop/Applications/Databases
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.unixodbc.org/
Source:        https://github.com/mazbrili/unixodbc-gui-qt.git/master@%{gitcommit}/unixodbc-gui-qt-%{version}.tar.bz2
Source1:       ODBCCreateDataSourceQ5.desktop
Source2:       ODBCManageDataSourcesQ5.desktop
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libodbc-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
Provides:      unixODBC-qt-gui
Obsoletes:     unixODBC-qt-gui < 2.3.0.20180915git.1fcd64c
Obsoletes:     unixodbc-gui-qt-devel < 2.3.0.20180915git.1fcd64c

%description
Qt based GUI bits for unixODBC. Includes configuration interface and data manager.

%debug_package

%prep
%setup -q

%build
export UNIXODBC_DIR=%{_prefix}
export UNIXODBC_LIBDIR=%{_libdir}

%{_qt5_qmake}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

export UNIXODBC_DIR="%{_prefix}"
export UNIXODBC_LIBDIR="%{_libdir}"

%makeinstall INSTALL_ROOT=%{buildroot} STRIP=/bin/true
	
# install *.desktop files	
install -d -m0755 %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/pixmaps

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}
	
# install icons used for applications in *.desktop files
install -p -m 644 ODBCDataManagerQ4/ODBC64.xpm \
    %{buildroot}%{_datadir}/pixmaps/ODBCCreateDataSourceQ5.xpm
install -p -m 644 odbcinstQ5/ODBCManageDataSources64.xpm \
    %{buildroot}%{_datadir}/pixmaps/ODBCManageDataSourcesQ5.xpm

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/ODBCCreateDataSourceQ5
%{_bindir}/ODBCManageDataSourcesQ5
%{_libdir}/libodbcinstQ5.so
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/ODBC*.xpm
%doc AUTHORS COPYING

%changelog
* Fri Nov 25 2022 Automatic Build System <autodist@mambasoft.it> 2.3.0.20180915git.1fcd64c-2mamba
- automatic rebuild by autodist

* Fri Nov 25 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0.20180915git.1fcd64c-1mamba
- update to 2.3.0.20180915git.1fcd64c

* Fri Dec 24 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-1mamba
- package created by autospec
